﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Linq;

namespace BaseApplicationProject.ViewModels
{
    public class CategoryViewModel : ViewModelBase
    {
        public CategoryViewModel()
        {
            this.AllowDropOnItem = true;
        }

        private string _name;

        private ObservableCollection<CategoryViewModel> _subCategories = null;

        public string Name
        {
            get
            {
                return this._name;
            }
            set
            {
                this._name = value;
            }
        }

        public ObservableCollection<CategoryViewModel> SubCategories
        {
            get
            {
                if (this._subCategories == null)
                {
                    this._subCategories = new ObservableCollection<CategoryViewModel>();
                }
                return this._subCategories;
            }
        }

        private bool allowDropOnItem;
        public bool AllowDropOnItem
        {
            get
            {
                return this.allowDropOnItem;
            }
            set
            {
                if (this.allowDropOnItem != value)
                {
                    this.allowDropOnItem = value;
                    OnPropertyChanged("AllowDropOnItem");
                }
            }
        }

        private bool isDropForbidden;
        public bool IsDropForbidden
        {
            get
            {
                return this.isDropForbidden;
            }
            set
            {
                if (this.isDropForbidden != value)
                {
                    this.isDropForbidden = value;
                    OnPropertyChanged("IsDropForbidden");
                }
            }
        }
    }
}
